%global commit_date     20231218
%global commit_long     60bdd62d18aed44c942f257dd25a1c433e315565
%global commit_short    %(c=%{commit_long}; echo ${c:0:7})

Name: rtl-433
Version: 23.11
Release: 2%{?dist}

Summary: Generic radio data receiver
License: GPLv2
Url: https://github.com/merbanan/rtl_433

Source0: https://github.com/merbanan/rtl_433/archive/%{commit_long}/%{name}-%{commit_long}.tar.gz

BuildRequires: coreutils
BuildRequires: sed
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: rtl-sdr-devel
BuildRequires: SoapySDR-devel
BuildRequires: libusb-compat-0.1-devel

%description
rtl_433 (despite the name) is a generic data receiver, mainly
for the 433.92 MHz, 868 MHz (SRD), 315 MHz, and 915 MHz ISM bands.

For more documentation and related projects see the https://triq.org/ site.

%package devel
Summary:    Development libraries for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
Development libraries for %{name}

%prep
%autosetup -n rtl_433-%{commit_long}

sed -ri 's\^#!/usr/bin/env python3?$\#!%{python3}\' examples/*.py

%build
%cmake
%cmake_build

%install
%cmake_install


install -Dm 644 conf/rtl_433.example.conf %{buildroot}%{_sysconfdir}/rtl_433/rtl_433.conf

for C in \
    'pulse_detect squelch' \
    'pulse_detect magest' \
    'samples_to_read 0' \
    'analyze_pulses false' \
    'device        0' \
    'pulse_detect autolevel' \
    'report_meta level' \
    'report_meta noise' \
    'report_meta stats' \
    'report_meta time:usec' \
    'report_meta protocol' \
    'signal_grabber none' \
    'output json' \
    'convert si' \
    'stop_after_successful_events false' \
;do
    sed -i 's\^'"$C"'$\'#"$C"'\' %{buildroot}%{_sysconfdir}/rtl_433/rtl_433.conf
done

rm -rf %{buildroot}%{_usr}%{_sysconfdir}

%check
%ctest

%files
%license COPYING
%doc AUTHORS *.md docs/*.md conf examples
%dir %{_sysconfdir}/rtl_433
%config(noreplace) %{_sysconfdir}/rtl_433/rtl_433.conf
%{_bindir}/rtl_433
%{_mandir}/man*/*

%files devel
%doc AUTHORS
%{_includedir}/rtl_433*.h

%changelog
* Fri May 10 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.11-2
- debrand macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.11-1
- initial build
